%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Any/Moose.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Request/Common.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(URI/Escape.pm) perl(XML/Simple.pm)
# END SourceDeps(oneline)
%define module_version 0.09
%define module_name Net-Google-Blogger
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt1
Summary: (** DEPRECATED **) Interface to Google's Blogger service.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/E/EG/EGORSH/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module is deprecated. Please use the WebService::Blogger manpage.

This module suite provides interface to the Blogger service now run by
Google. It's built in object-oriented fashion using Moose, which makes
it easy to use and extend. It also utilizes newer style GData API for
better compatibility. You can retrieve list of blogs for your account,
add, update or delete entries.

 use Net::Google::Blogger;

 my $blogger = Net::Google::Blogger->new(
     login_id   => 'myemail@gmail.com',
     password   => 'mypassword',
 );

 my @blogs = $blogger->blogs;
 foreach my $blog (@blogs) {
     print join ', ', $blog->id, $blog->title, $blog->public_url, "\n";
 }

 my $blog = $blogs[1];
 my @entries = $blog->entries;

 my ($entry) = @entries;
 print $entry->title, "\n", $entry->content;

 $entry->title('Updated Title');
 $entry->content('Updated content');
 $entry->categories([ qw/category1 category2/ ]);
 $entry->save;

 my $new_entry = Net::Google::Blogger::Blog::Entry->new(
     title   => 'New entry',
     content => 'New content',
     blog    => $blog,
 );
 $new_entry->save;
 $new_entry->delete;



%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/N*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- initial import by package builder

